import type { Generic } from 'adopted-style-sheets';
import type { IconProps, IconWatches, LabelPropType } from '../../schema';
type Component = Generic.Element.Component & IconProps;
export declare class IconController implements IconWatches {
    protected readonly component: Component;
    constructor(component: Component);
    validateIcons(value?: string): void;
    validateLabel(value?: LabelPropType): void;
    componentWillLoad(): void;
}
export {};
